## snui 1.2.0

=== Makefile ===
SUBDIRS=server nss pam admin

all: libsnui.a libsnui_shared.a
	for i in $(SUBDIRS); do \
		make -C $$i; \
	done

libsnui.a:
	make -C lib clean
	make -C lib
	cp lib/libsnui.a .

libsnui_shared.a:
	make -C lib clean
	CFLAGS=-fPIC make -C lib
	cp lib/libsnui.a libsnui_shared.a

install:
	for i in $(SUBDIRS); do \
		make -C $$i install; \
	done

clean:
	for i in $(SUBDIRS) lib; do \
		make -C $$i clean; \
	done
	rm -f libsnui.a libsnui_shared.a

=== admin/Makefile ===
all:
	# NOP

clean:
	# NOP

install:
	mkdir -p $(DESTDIR)/var/log/snui
	mkdir -p $(DESTDIR)/usr/share/snui/web
	mkdir -p $(DESTDIR)/etc/snui
	cp *.php *.inc *.html $(DESTDIR)/usr/share/snui/web
	install -m 0644 -o root -g root snui_admin.conf $(DESTDIR)/etc/snui
	install -m 0644 -o root -g root apache.conf $(DESTDIR)/etc/snui

=== lib/Makefile ===
CONFIG_FILENAME=/etc/snui/snui.conf

TARGETS=libsnui.a

CC=gcc
CFLAGS+=-O2 -Wall -Wno-unused -DCONFIG_FILENAME="\"$(CONFIG_FILENAME)\""

OBJS=fileconf.tab.o fileconf.lex.o net.o md5.o

all: $(TARGETS)

libsnui.a: $(OBJS)
	ar -rs libsnui.a $(OBJS)

fileconf.tab.c: fileconf.y
	bison -p conf_ -d fileconf.y

fileconf.lex.c: fileconf.l
	flex -Pconf_ -ofileconf.lex.c fileconf.l

clean:
	rm -f $(OBJS) $(TARGETS) fileconf.lex.c fileconf.tab.c fileconf.tab.h

=== nss/Makefile ===
# Configuration
CONFIG_FILENAME=/etc/snui/snui.conf

# Compiler used
CC=gcc

# Any extra compilation options you want
CFLAGS+=

# Any extra link options
LDFLAGS+=

# Don't screw with anything below here
TARGETS=libnss_snui-2.0.0.so
OBJS=passwd.o group.o
LIBS=../libsnui_shared.a

CFLAGS+=-Wall -g -O2 -fpic -DCONFIG_FILENAME="\"$(CONFIG_FILENAME)\""
LDFLAGS+=-shared

libnss_snui.so.2: $(OBJS)
	gcc $(LDFLAGS) -o libnss_snui-2.0.0.so $(OBJS) $(LIBS)

install: $(TARGETS)
	mkdir -p $(DESTDIR)/lib
	install -m 0644 -o root -g root libnss_snui-2.0.0.so $(DESTDIR)/lib

clean:
	rm -f $(TARGETS) $(OBJS)

=== pam/Makefile ===
# Configuration
CONFIG_FILENAME=/etc/snui/snui.conf

# Compiler used
CC=gcc

# Any extra compilation options you want
CFLAGS+=

# Any extra link options
LDFLAGS+=

# Don't screw with anything below here
TARGETS=pam_snui.so
OBJS=auth.o
LIBS=../libsnui_shared.a

CFLAGS+=-Wall -Wno-unused -g -O2 -fpic -DCONFIG_FILENAME="\"$(CONFIG_FILENAME)\""
LDFLAGS+=-shared

pam_snui.so: $(OBJS)
	gcc $(LDFLAGS) -o pam_snui.so $(OBJS) $(LIBS)

install: pam_snui.so
	mkdir -p $(DESTDIR)/lib/security
	install -m 0644 -o root -g root pam_snui.so $(DESTDIR)/lib/security
	

clean:
	rm -f $(TARGETS) $(OBJS)

=== server/Makefile ===
CONFIG_FILE=/etc/snui/snui.conf

TARGETS=snui_server

CC=gcc

CFLAGS=-Wall -g -O2 -DCONFIG_FILE="\"$(CONFIG_FILE)\""

OBJS=snui_server.o
LIBS=../libsnui.a -lpthread

snui_server: $(OBJS)
	gcc $(LDFLAGS) $(OBJS) -o snui_server $(LIBS)

install: snui_server
	mkdir -p $(DESTDIR)/usr/sbin
	install -m 0755 -o root -g root snui_server $(DESTDIR)/usr/sbin

clean:
	rm -f $(OBJS) $(TARGETS)

=== debian/changelog ===
snui (1.2.0) unstable; urgency=low

  * Removed some of the more gratuitous debugging stuff.
  * Added an edituser.php admin script.

 -- Matthew Palmer <mpalmer@debian.org>  Tue, 10 Sep 2002 07:44:40 +1000

snui (1.1.2) unstable; urgency=low

  * Uses a better method of building, so that shared objects use a shared
    version of the common library, while everything else gets a statically
    linked version.

 -- Matthew Palmer <mpalmer@debian.org>  Sun, 28 Jul 2002 16:07:32 +1000

snui (1.1.1) unstable; urgency=low

  * libsnui.a was built statically, but is included in dynamic objects,
    hence should be built with -fPIC, which it now is.  (Closes: #154298)

 -- Matthew Palmer <mpalmer@debian.org>  Fri, 26 Jul 2002 10:49:50 +1000

snui (1.1.0) unstable; urgency=low

  * Hey, it's threaded!
  * The config file parser and associated access functions have all been
    mutexed.
  * Server is fully threaded.
  * NSS and PAM modules assessed for thread-safety, updated where necessary.

 -- Matthew Palmer <mpalmer@debian.org>  Fri, 19 Jul 2002 13:21:29 +1000

snui (1.0.3) unstable; urgency=low

  * Added copious debugging to the PAM module, since it doesn't seem to be
    working properly.

 -- Matthew Palmer <mpalmer@debian.org>  Fri, 12 Jul 2002 16:25:55 +1000

snui (1.0.2) unstable; urgency=low

  * Farking programs.

 -- Matthew Palmer <mpalmer@debian.org>  Thu, 11 Jul 2002 14:53:10 +1000

snui (1.0.1) unstable; urgency=low

  * Time for a new release; bugfixes and whatnot.

 -- Matthew Palmer <mpalmer@debian.org>  Thu, 11 Jul 2002 14:36:18 +1000

snui (1.0.0) unstable; urgency=low

  * Initial Release.
  * Needs a lot of work, but it needs to be released.

 -- Matthew Palmer <mpalmer@debian.org>  Fri,  5 Jul 2002 17:50:32 +1000

=== debian/control ===
Source: snui
Section: admin
Priority: extra
Maintainer: Matthew Palmer <mpalmer@debian.org>
Build-Depends: debhelper (>>3.0.0), libpam0g-dev, flex, bison
Standards-Version: 3.5.2

Package: snui-server
Architecture: any
Depends: ${shlibs:Depends}, apache, php4, phtml, snui-common
Description: Simple Network User Information - Server
 The SNUI system is designed to be a fast, lightweight information and
 authentication system.  It is not expressly designed with security in mind,
 however it should not be gratuitously insecure.
 .
 This is the server package.  Use it wherever you need to serve information
 about users and groups.

Package: snui-client
Architecture: any
Depends: ${shlibs:Depends}, snui-common
Description: Simple Network User Information - Client
 The SNUI system is designed to be a fast, lightweight information and
 authentication system.  It is not expressly designed with security in mind,
 however it should not be gratuitously insecure.
 .
 This is the package needed for SNUI support on the client side.  It
 contains PAM and NSS modules designed to talk to the SNUI server.

Package: snui-common
Architecture: all
Description: Simple Network User Information - Common files
 The SNUI system is designed to be a fast, lightweight information and
 authentication system.  It is not expressly designed with security in mind,
 however it should not be gratuitously insecure.
 .
 This package contains the files common to both client and server.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build-arch: configure-stamp  build-arch-stamp
build-arch-stamp:
	dh_testdir

	# Add here command to compile/build the package.
	$(MAKE)

	touch build-arch-stamp

build-indep:  configure-stamp build-indep-stamp
build-indep-stamp:
	dh_testdir

	touch build-indep-stamp

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp build-arch-stamp build-indep-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	dh_movefiles -a
	cp doc/snui.conf debian/snui-common/etc/snui

	cp debian/{user,group,auth}db debian/snui-server/var/lib/snui

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: build install
	dh_testdir -p snui-common
	dh_testroot -p snui-common
	dh_installdocs -p snui-common
	dh_installchangelogs -p snui-common
	dh_compress -p snui-common
	dh_fixperms -p snui-common
	dh_installdeb -p snui-common
	dh_gencontrol -p snui-common
	dh_md5sums -p snui-common
	dh_builddeb -p snui-common

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -a
	dh_installinit -a
	dh_installman -a
	dh_installchangelogs  -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
#	dh_makeshlibs -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
